=== modified file 'supply_control/model/diana_supply.py'
--- supply_control/model/diana_supply.py	2018-10-05 13:37:08 +0000
+++ supply_control/model/diana_supply.py	2018-10-05 16:29:45 +0000
@@ -48,6 +48,19 @@
 
     _defaults = {'state': 'draft'}
 
+    def onchange_note(self, cr, uid, ids, detail, note=False, aggregate=''):
+        """."""
+        result = {'value': {}}
+        if detail:
+            note = True
+            aggregate = '*** VER DETALLE ***'
+
+        result['value'] = {
+            'note': note,
+            'aggregate': aggregate,
+        }
+        return result
+
     def create(self, cr, uid, values, context=None):
         """."""
         asigned_type = self.pool.get('diana.supply.asign.type').browse(

=== modified file 'supply_control/model/diana_supply_lines.py'
--- supply_control/model/diana_supply_lines.py	2018-10-05 13:49:03 +0000
+++ supply_control/model/diana_supply_lines.py	2018-10-05 16:29:45 +0000
@@ -142,9 +142,10 @@
                         line.asign_id.aggregate).capitalize()))
 
             if line.asign_id.detail:
-                for detail in line.asign_id.detail_ids:
-                    receipt.append('800___ %s, %s' %
-                                   (detail.name[:25], detail.qty[:8]))
+                for detail in sorted([(i.name, i.qty) for i in
+                                      line.asign_id.detail_ids]):
+                    receipt.append('800____ %s --> %s' %
+                                   (detail[0], detail[1]))
 
             receipt.append('800Vencimiento: %s' %
                            (get_fecha(line.expiration_date)))
@@ -158,11 +159,11 @@
                 cr, uid, line.id).state
 
             dic = {'nombre': nombre, 'datos': receipt, 'estado': estado}
+
             frc = fiscalRemoteConn(
                 dic, datos_impresora.ip_address, datos_impresora.ssh_port)
+
             error_imprimir = frc.transferAndprint()
-            for i in receipt:
-                print i
 
             if not error_imprimir:
                 raise osv.except_osv(

=== modified file 'supply_control/view/diana_supply_view.xml'
--- supply_control/view/diana_supply_view.xml	2018-10-05 13:37:08 +0000
+++ supply_control/view/diana_supply_view.xml	2018-10-05 16:29:45 +0000
@@ -111,9 +111,9 @@
                         <field name="period_id"/>
                         <field name="print_default"/>
                         <newline />
-                        <field name="note"/>
+                        <field name="detail" on_change="onchange_note(detail)"/>
                         <newline />
-                        <field name="detail"/>
+                        <field name="note" attrs="{'readonly':[('detail','=', True)]}"/>
                     </group>
                     <group colspan = "3" col = "6">
                         <field name="aggregate" nolabel="1" attrs="{'readonly':[('note','=',False)], 'required':[('note','=',True)]}"/>
@@ -316,7 +316,7 @@
             <field name="context">{'search_default_draft': 1}</field>
         </record>
         
-        
+
         <!-- MENU -->
         <menuitem name="Control de Asignaciones" id="menu_diana_supply_control" parent="hr.menu_hr_root" groups="supply_control.group_supply_manager,supply_control.group_supply_user"/>
         <menuitem name="Asignaciones" id="menu_supply_asing" sequence = '1' parent="menu_diana_supply_control" action="action_diana_supply_asign_tree"/>

